Subject: Re: wireless vs. alignment requirements

From: "H. Peter Anvin" <[email-masked]>
Date: Thu, 29 Nov 2007 09:50:35 -0800

Herbert Xu wrote:
> On Tue, Nov 27, 2007 at 09:16:07AM -0800, H. Peter Anvin wrote:
>> I wrote a patch for the IP stack to realign packets if necessary at one 
>> point.  I should dredge it up again and submit it for collective flamage.
> 
> As long as it doesn't penalise Ethernet (e.g., the 10Gb crowd :) it would
> be good to have.
> 
> Thanks,

Uhm, most cards affected *ARE* Ethernet cards, due to the bloody 14-byte 
header.

But it doesn't affect architectures which have alignment, and the cost 
of scanning a properly-aligned packet is minimal.

I'll try to find it some time today.

	-hpa